<?php



require ('../../_app/Config.inc.php');

$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setPost = array_map("strip_tags", $getPost);

$post = array_map("trim", $setPost);

$email = $post['email'];



if (in_array('', $post)):

    $jSon['error'] = ["Preencha o campo com um e-mail!", "alert"];

elseif (!Check::Email($email) || !filter_var($email, FILTER_VALIDATE_EMAIL)):

    $jSon['error'] = ["Favor informe um e-mail válido!", "error"];

else:

    $Read = new Read;

    $Read->ExeRead("tp_clientes", "WHERE cliente_email=:email", "email={$email}");



    if ($Read->getRowCount() > 0):





        foreach ($Read->getResult() as $usuario):

            extract($usuario);

            $emailCriptografado = base64_decode($usuario_email);

            $Email['Assunto'] = "Confirme agora seu cadastro no " . SITENAME;

            $Email['DestinoNome'] = $usuario_nome;

            $Email['DestinoEmail'] = $usuario_email;

            $Email['RemetenteNome'] = 'Equipe ' . SITENAME;

            $Email['RemetenteEmail'] = 'sac@inexnet.com.br';

            $Email['Mensagem'] = "<img src=\"" . HOME . "/img/logo.png\" align=\"center\"><hr><h3>Olá, {$usuario_nome},</h3> <br> Você iniciou seu cadastro no " . SITENAME . ".<br><br>Para finalizá-lo, precisamos que você valide seu e-mail.<br><br>E-mail cadastrado: {$usuario_email}. <br><br>Para validar, clique no link abaixo:<br><br> <a href=\"" . HOME . "/confirmar/{$emailCriptografado}\">Ativar meu cadastro</a> <br><br>Caso o link não funcione, acesse o endereço abaixo pelo seu navegador:<br><br> " . HOME . "/confirmar/{$emailCriptografado} <br><br><br>Atenciosamente,<br><br>Equipe " . SITENAME . "<br><br><i><small>Não é necessário responder a esse e-mail.</small></i>";

            $SendMail = new Email;

            $SendMail->Enviar($Email);

            $jSon['error'] = [$SendMail->getError()[0], $SendMail->getError()[1]];

        endforeach;

    else:

        $jSon['error'] = ['E-mail não Encontrado em nosso banco de dados', 'error'];



    endif;

endif;



echo json_encode($jSon);

